#ifndef SHOPSERVICE_H
#define SHOPSERVICE_H

#include <QSharedPointer>

#include <core.h>

#include "data/shop-data.h"
#include "ishopitem.h"

class ShopService : public Service<Voucher>
{
public:
    ShopService();
    QSharedPointer<Voucher> createVoucher();
    void addShopItem(QSharedPointer<Voucher> voucher, QSharedPointer<IShopItem> item, int count);
    void calculate(QSharedPointer<Voucher> voucher);
    void calculateItem(QSharedPointer<VoucherItem> item);
};

#endif // SHOPSERVICE_H
